<?php
include('../includes/validador.php');
include('../conexiones/conex.php');
include('../includes/funciones.php');


$n = date('YmdHis');
//DATOS DE PERSONA
$nombre = $_POST['nom_pers'];
$apellido = $_POST['apellido_pers'];
$dir = $_POST['dir_pers'];
$coment_dir = $_POST['coment_direccion'];
$barrio = $_POST['barrio'];
$ciudad = $_POST['ciudad_pers'];
$sexo = $_POST['sx_pers'];
$doc = $_POST['documento'];
$pais = $_POST['pais_pers'];
$archivo = "";

//DATOS DE ALUMNO
$fecha_nac = fechaNormal($_POST['fecha_nac']);
$email = $_POST['email'];
$sang = $_POST['grupo_sang'];
$obs_alumno = $_POST['obs_alumno'];

//FOTO CARNET
$archivo = $_FILES['portada']["name"];
$ruta_provisional = $_FILES["portada"]["tmp_name"];
if($archivo == null){
	$extension = '';
}else{
	$info = pathinfo($archivo);
    $extension = $info['extension'];

    if($extension == 'pdf'){
        $archivo = $n.'.pdf'; 
    }else if($extension == 'jpg'){
        $archivo = $n.'.jpg'; 
    }else if($extension == 'png'){
        $archivo = $n.'.png'; 
    }
}

if(isset($_POST['fp_cedula_alum'])){
    $ci_alumno = $_POST['fp_cedula_alum'];
}else{
    $ci_alumno = 'no';
}
if(isset($_POST['fp_cedula_pme'])){
    $fp_cedula_pme = $_POST['fp_cedula_pme'];
}else{
    $fp_cedula_pme = 'no';
}
if(isset($_POST['cert_nac'])){
    $cert_nac = $_POST['cert_nac'];
}else{
    $cert_nac = 'no';
}
if(isset($_POST['fp_cert_nac'])){
    $fp_cert_nac = $_POST['fp_cert_nac'];
}else{
    $fp_cert_nac = 'no';
}
if(isset($_POST['libreta_calif'])){
    $libreta_calif = $_POST['libreta_calif'];
}else{
    $libreta_calif = 'no';
}
if(isset($_POST['libreta_vacunacion'])){
    $libreta_vacunacion = $_POST['libreta_vacunacion'];
}else{
    $libreta_vacunacion = 'no';
}
if(isset($_POST['ant_academico'])){
    $ant_academico = $_POST['ant_academico'];
}else{
    $ant_academico = 'no';
}
if(isset($_POST['inf_administrativo'])){
    $inf_administrativo = $_POST['inf_administrativo'];
}else{
    $inf_administrativo = 'no';
}

//======================================================================================== por el mommento eliminamos desde aquí
/*
//FOTOCOPIA DE CEDULA DE ALUMNO
$ci_alumno = $_FILES['fp_cedula_alum']["name"];
$ruta_provisional_alum = $_FILES["fp_cedula_alum"]["tmp_name"];
if($ci_alumno == null){
	$extension = '';
    $ci_alumno = "no";
}else{
	$info = pathinfo($ci_alumno);
    $extension = $info['extension'];

    if($extension == 'pdf'){
        $ci_alumno = $n.'.pdf'; 
    }else if($extension == 'jpg'){
        $ci_alumno = $n.'.jpg'; 
    }else if($extension == 'png'){
        $ci_alumno = $n.'.png'; 
    }
}

//FOTOCOPIA DE CEDULA DE PADRE MADRE O ENCARGADO
$fp_cedula_pme = $_FILES['fp_cedula_pme']["name"];
$ruta_provisional_pme = $_FILES["fp_cedula_pme"]["tmp_name"];
if($fp_cedula_pme == null){
	$extension = '';
    $fp_cedula_pme = "no";
}else{
	$info = pathinfo($fp_cedula_pme);
    $extension = $info['extension'];

    if($extension == 'pdf'){
        $fp_cedula_pme = $n.'.pdf'; 
    }else if($extension == 'jpg'){
        $fp_cedula_pme = $n.'.jpg'; 
    }else if($extension == 'png'){
        $fp_cedula_pme = $n.'.png'; 
    }
}

//CERTIFICADO DE NACIMIENTO
$cert_nac = $_FILES['cert_nac']["name"];
$ruta_provisional_cert = $_FILES["cert_nac"]["tmp_name"];
if($cert_nac == null){
	$extension = '';
    $cert_nac = "no";
}else{
	$info = pathinfo($cert_nac);
    $extension = $info['extension'];

    if($extension == 'pdf'){
        $cert_nac = $n.'.pdf'; 
    }else if($extension == 'jpg'){
        $cert_nac = $n.'.jpg'; 
    }else if($extension == 'png'){
        $cert_nac = $n.'.png'; 
    }
}

//FOTOCOPIA CERTIFICADO DE NACIMIENTO
$fp_cert_nac = $_FILES['fp_cert_nac']["name"];
$ruta_provisional_cert2 = $_FILES["fp_cert_nac"]["tmp_name"];
if($fp_cert_nac == null){
	$extension = '';
    $fp_cert_nac = "no";
}else{
	$info = pathinfo($fp_cert_nac);
    $extension = $info['extension'];

    if($extension == 'pdf'){
        $fp_cert_nac = $n.'.pdf'; 
    }else if($extension == 'jpg'){
        $fp_cert_nac = $n.'.jpg'; 
    }else if($extension == 'png'){
        $fp_cert_nac = $n.'.png'; 
    }
}

//LIBRETA DE CALIFICACIONES
$libreta_calif = $_FILES['libreta_calif']["name"];
$ruta_provisional_libr = $_FILES["libreta_calif"]["tmp_name"];
if($libreta_calif == null){
	$extension = '';
    $libreta_calif = "no";
}else{
	$info = pathinfo($libreta_calif);
    $extension = $info['extension'];

    if($extension == 'pdf'){
        $libreta_calif = $n.'.pdf'; 
    }else if($extension == 'jpg'){
        $libreta_calif = $n.'.jpg'; 
    }else if($extension == 'png'){
        $libreta_calif = $n.'.png'; 
    }
}

//LIBRETA DE VACUNACION
$libreta_vacunacion = $_FILES['libreta_vacunacion']["name"];
$ruta_provisional_vac = $_FILES["libreta_vacunacion"]["tmp_name"];
if($libreta_vacunacion == null){
	$extension = '';
    $libreta_vacunacion = "no";
}else{
	$info = pathinfo($libreta_vacunacion);
    $extension = $info['extension'];

    if($extension == 'pdf'){
        $libreta_vacunacion = $n.'.pdf'; 
    }else if($extension == 'jpg'){
        $libreta_vacunacion = $n.'.jpg'; 
    }else if($extension == 'png'){
        $libreta_vacunacion = $n.'.png'; 
    }
}

//ANTECEDENTE ACADEMICO
$ant_academico = $_FILES['ant_academico']["name"];
$ruta_provisional_ant = $_FILES["ant_academico"]["tmp_name"];
if($ant_academico == null){
	$extension = '';
    $ant_academico = "no";
}else{
	$info = pathinfo($ant_academico);
    $extension = $info['extension'];

    if($extension == 'pdf'){
        $ant_academico = $n.'.pdf'; 
    }else if($extension == 'jpg'){
        $ant_academico = $n.'.jpg'; 
    }else if($extension == 'png'){
        $ant_academico = $n.'.png'; 
    }
}

//ANTECEDENTE ACADEMICO
$inf_administrativo = $_FILES['inf_administrativo']["name"];
$ruta_provisional_inf = $_FILES["inf_administrativo"]["tmp_name"];
if($inf_administrativo == null){
	$extension = '';
    $inf_administrativo = "no";
}else{
	$info = pathinfo($inf_administrativo);
    $extension = $info['extension'];

    if($extension == 'pdf'){
        $inf_administrativo = $n.'.pdf'; 
    }else if($extension == 'jpg'){
        $inf_administrativo = $n.'.jpg'; 
    }else if($extension == 'png'){
        $inf_administrativo = $n.'.png'; 
    }
}
*/

//==================================================================================== Por el momento eliminamos hasta aquí

//DATOS DE PADRES - ENCARGADO (EN TABLA ALUMNO)
$nomPadre = $_POST['nom_padre'];
$telPadre = $_POST['tel_padre'];
$mailPadre = $_POST['email_padre'];
$nomMadre = $_POST['nom_madre'];
$telMadre = $_POST['tel_madre'];
$mailMadre = $_POST['email_madre'];
$nomEnc = $_POST['nom_encargado'];
$telEnc = $_POST['tel_encargado'];
$mailEnc = $_POST['email_encargado'];
$comEnc = $_POST['coment_encarg'];
$l_baja = $_POST['linea_baja'];
$nomRef = $_POST['nom_ref'];
$telRef = $_POST['tel_ref'];
$domRef = $_POST['domicilio_ref'];

//DATOS PARA MATRICULACION
$curso = $_POST['curso_int'];
$turno = $_POST['turno'];
$anho_lect = $_POST['anho_lect'];
$obs_matricula = $_POST['escuela_proc']; //Observacion en matricula

//DATOS PARA PAGO
$monto_matr = limpiar3($_POST['monto_matricula']);
$monto_abonado = limpiar3($_POST['monto_abonado']);
$forma_pago = $_POST['forma_pago'];
$nombre_banco = $_POST['nombre_banco'];
$num_cheque = $_POST['num_cheque'];
$factura = $_POST['factura'];
$timbrado = $_POST['timbrado'];
$fechaAct = date("Y-m-d");
$fecta_matr = fechaNormal($_POST['fecha_matr']);

$razon_social = $_POST['razon_social'];
$ruc_ci = $_POST['ruc_ci'];
$dir = $_POST['direccion'];


if(isset($_POST['monto_cheque'])){
    $monto_cheque = limpiar3($_POST['monto_cheque']);
}else{
    $monto_cheque = 0;
}


if($monto_matr >= $monto_abonado){
//COMIENZA PROCESO - PRIMERO PERSONA -> ALUMNO -> MATRICULA -> PAGOS

try {
    $con->autocommit(FALSE);
 
    
    //QUERY PERSONA
        $query="INSERT INTO persona (Nombre, Apellido, Pais, Direccion, comentarioDireccion, Barrio, Ciudad_id, Sexo, NroDocumento)
        VALUES('$nombre', '$apellido', '$pais', '$dir', '$coment_dir', '$barrio', '$ciudad', '$sexo', '$doc')";
        $con->query($query) or throw_ex(mysqli_error($con)); //si re registró bien
        $idpers = $con->insert_id;
    //fin query persona
    
    
    //QUERY ALUMNO
        $queryAlum="INSERT INTO alumno (Persona_id, FechaNacimiento, mailAlumno, portada_alumno, TipoSanguineo, Observacion, nombrePadre, telefonoPadre, mailPadre, nombreMadre, telefonoMadre, mailMadre, nombreEncargado, telefonoEncargado, mailEncargado, comentarioEncargado, lineaBaja, nombreReferencia, telefonoReferencia, domicilioReferencia, fotocopia_cedula, fotocopia_padres_encargado, certificado_nacimiento, fotocopia_certi_nac, boletin_calificaciones_informes, libreta_vacunacion, antecedente_academico_visado, informe_adm_institucion_origen)
        VALUES(
            '$idpers', 
            '$fecha_nac',
            '$email',
            '$archivo', 
            '$sang', 
            '$obs_alumno', 
            '$nomPadre', 
            '$telPadre',
            '$mailPadre',
            '$nomMadre', 
            '$telMadre',
            '$mailMadre',
            '$nomEnc', 
            '$telEnc',
            '$mailEnc', 
            '$comEnc', 
            '$l_baja', 
            '$nomRef', 
            '$telRef', 
            '$domRef', 
            '$ci_alumno',
            '$fp_cedula_pme', 
            '$cert_nac', 
            '$fp_cert_nac', 
            '$libreta_calif', 
            '$libreta_vacunacion', 
            '$ant_academico', 
            '$inf_administrativo'
            )";
        $con->query($queryAlum) or throw_ex(mysqli_error($con)); //si re registró bien
        move_uploaded_file($ruta_provisional, '../images/alumnos/'.$archivo);
        /*
        =========== POR EL MOMENTO NO USAMOS ESTA FUNCION
            move_uploaded_file($ruta_provisional_alum, '../images/documentos/'.$ci_alumno);
            move_uploaded_file($ruta_provisional_ant, '../images/documentos/'.$ant_academico);
            move_uploaded_file($ruta_provisional_cert, '../images/documentos/'.$cert_nac);
            move_uploaded_file($ruta_provisional_cert2, '../images/documentos/'.$fp_cert_nac);
            move_uploaded_file($ruta_provisional_inf, '../images/documentos/'.$inf_administrativo);
            move_uploaded_file($ruta_provisional_libr, '../images/documentos/'.$libreta_calif);
            move_uploaded_file($ruta_provisional_pme, '../images/documentos/'.$fp_cedula_pme);
            move_uploaded_file($ruta_provisional_vac, '../images/documentos/'.$libreta_vacunacion);
        =========== HASTA ACA POR EL MOMENTO NO USAMOS ESTA FUNCION
        */
    //fin query alumno
    
    
    //QUERY MATRICULACION
        $queryMatr="INSERT INTO matricula (Persona_id, Curso_id, Turno, AhoLectivo, Obs_Matricula)
        VALUES(
            '$idpers', 
            '$curso', 
            '$turno', 
            '$anho_lect', 
            '$obs_matricula'
            )";
        $con->query($queryMatr) or throw_ex(mysqli_error($con)); //si re registró bien
        $idmatr = $con->insert_id;
    //fin query matriculacion
    
    
    //QUERY PAGO
        $queryMatr="INSERT INTO pagos_matriculas (matricula_INT, monto_matricula, monto_abonado, forma_pago, cheque_banco, num_cheque, monto_cheque, num_factura, timbrado, fecha_registro, fecha_matricula, pago_nombre, pago_ruc_ci, pago_direccion)
        VALUES(
            '$idmatr', 
            '$monto_matr', 
            '$monto_abonado', 
            '$forma_pago', 
            '$nombre_banco', 
            '$num_cheque', 
            '$monto_cheque', 
            '$factura', 
            '$timbrado', 
            '$fechaAct', 
            '$fecta_matr', 
            '$razon_social', 
            '$ruc_ci', 
            '$dir'
            )";
        $con->query($queryMatr) or throw_ex(mysqli_error($con)); //si re registró bien
    //fin query pago

    $con->commit();
    
    $datos = array(
        0 => 1,
        1 => $idmatr,
        );
    echo json_encode($datos);

    $con->close();
} catch (Exception $e) {  
    $con->rollback();
    
    $datos = array(
        0 => 2,
        1 => "$e",
        2 => "393"
        );
    echo json_encode($datos);

    $con->close(); 
}
}else{
    
    $datos = array(
        0 => 3,
        1 => "$e",
        2 => "404"
        );
    echo json_encode($datos);

    $con->close(); 
}
?>